/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Parameters.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Parameters::test"
  void Parameters::test (void)          
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    std::string msg = msg_error();
    
    if (msg.length() != 0)
      throw (ErrorMorpheo (msg));
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              
